#
# spec file for package ipw3945-kmp (Version 1.2.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           ipw3945-kmp
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel Module for Intel PRO/Wireless 3945ABG cards
Version:        1.2.2
Release:        3.1
Group:          System/Kernel
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://ipw3945.sourceforge.net/
AutoReqProv:    on
Source:         ipw3945-%{version}.tar.bz2
Patch1:         ipw3945.diff
Patch2:         ipw3945-api_version.diff
Patch3:         ipw3945-skb_change.diff
Patch4:         ipw3945-oops.diff
Source100:      preamble
ExclusiveArch:  %ix86 x86_64 ppc ppc64
%suse_kernel_module_package -n ipw3945 -p %_sourcedir/preamble kdump um

%description
This package contains a kernel module for Intel PRO/Wireless 3945ABG
wireless LAN cards.



Authors:
--------
    James Ketrenos <jketreno@linux.intel.com>

%package -n ipw3945-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Kernel Module for Intel PRO/Wireless 3945ABG cards

%description -n ipw3945-KMP
This package contains a kernel module for Intel PRO/Wireless 3945ABG
wireless LAN cards.



Authors:
--------
    James Ketrenos <jketreno@linux.intel.com>

%prep
%setup -n ipw3945-%{version}
%patch1 -p1
%patch2 -p1
%patch3

%build
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  mkdir -p obj/$flavor
  cp Makefile ipw3945* obj/$flavor/
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 21 2007 - aj@suse.de
- Fix OOPS while unloading (#327027).  Patch by Jiri Benc.
* Mon Aug 20 2007 - jg@suse.de
- update to 1.2.2
  * update Kconfig with kernel WLAN_80211 change
  * replace SA_SHIRQ with IRQF_SHARED
  * fix typo in Kconfig
  * remove inta access from tasklet
  * Tune IPW_PACKET_RETRY_TIME from 1 second to 5 second
* Mon Jun 11 2007 - ro@suse.de
- no main package, no debuginfo
* Wed Jun 06 2007 - ro@suse.de
- fix build with current kernel (skb_change)
* Wed Jun 06 2007 - ro@suse.de
- update to 1.2.1
  * Fix driver not make associate request when required
  * Fix iwconfig essid any doesn't associate problem
  * Fix ipw_associate_network() debug log bug
  * Fix ifconfig reports Link-encap as Ether (thanks to Jason)
  * Fix soft lockup during driver load time
  * Add Makefile warning if a different SHELL other than bash is used
  * Use the correct variable to print the direct scan essid
  * Fix a kernel Oops bug #1248
  * Fix hardware/software RF kill switch problem during module loading time
* Wed Apr 04 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Thu Mar 22 2007 - jg@suse.de
- created own package for ipw3945 (formerly part of wlan-kmp)
